#ifndef _232NETWORKCOMMIF_H
#define _232NETWORKCOMMIF_H

#include "GlobalDefine.h"
#include "NetworkDevice.h"
#include "NetworkProtocol.h"

class C232NetworkCommIF : public CNetworkProtocol, CAbstractNetworkCommIF
{
public:
    C232NetworkCommIF();
    virtual ~C232NetworkCommIF();

      //NetworkProtocol implementation
    int NewFrameReceived(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data);

    //NetworkCommIF implementation
    virtual int SendNetworkMessage(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray *Data);

private:
    CNetworkDevice *mDeviceHandle;
};

#endif // _232NETWORKCOMMIF_H
